LTS recommends changing all passwords after a significant vulnerability, affecting sites worldwide, was discovered on April 8.

Change your password now.

Learn more about the vulnerability on our blog.

New User Accounts

Computer & Device Registration

Existing Users

Other Resources